from django.urls import include, path
from rest_framework import routers
from . import views
from rest_framework.urlpatterns import format_suffix_patterns

# router = routers.DefaultRouter()

# router.register(r'CustMang', views.CustomerMangViewSet)

# urlpatterns = [
#     path('', include(router.urls)),
#     path('api-auth/', include('rest_framework.urls', namespace='rest_framework'))
# ]

urlpatterns = [
    path('CustMang/', views.CustomerList),
    path('DashboardMetrics/', views.dashboardmetricscount),
    path('InstancesList/', views.GetInstAll),
    path('SysInfo/', views.GetSystems),
    path('SysInfonew/', views.GetSystemsnew),
    path('SysInfoBySysId/', views.GetSystemsbyId),
    path('CPUInfo/', views.GetCPU),
    path('FSInfo/', views.GetFS),
    path('MemInfo/', views.GetMem),
    path('ProcessInfo/', views.GetProcess),
    path('InstInfo/', views.GetInst),
    path('Buffer/', views.GetBuffermonitoring),
    path('Dumps/', views.GetRunTimeDumpsMonitoring),
    path('Spool/', views.GetSpool),
    path('ResponseTimes/', views.GetResponsetimesmonitoring),
    path('Update/', views.GetUpdatemonitoring),
    # path('addsystems/', views.sysadd),
    path('solutions/', views.GetSol),
    path('systemsList/', views.Getsysbysolid),
    path('addcustomer/', views.customeradd),
    path('login/', views.login),
    path('addsolution/', views.addsolution),
    path('addlandscape/', views.addlandscape),
    path('activelogs/', views.Getal),
    path('bufferpool/', views.Getbp),
    path('dbsnap/', views.Getdbsnap),
    path('dbinstancesnap/', views.Getdbi),
    path('topsql/', views.Gettsql),
    path('dbbackup/', views.Getdbb),
    path('dblocks/', views.Getdbls),
    path('dbmanagersnap/', views.Getdbms),
    path('runstats/', views.Getrs),
    path('tablesapce/', views.Gettbsp),
    path('treeparser/', views.parse),
    path('instanceinfo/', views.Getinstinfo),
    path('healthchecklogs/', views.Gethealthchecklogs),
    path('healthcheckdata/', views.Gethealthcheckdata),
    path('runhealthcheck/', views.runhealthcheck),
    path('SolutionsList/', views.SolutionList),
    path('Tree/', views.Gettreedata),
#    path('healthcheckreports/', views.healthcheckdatatopandas),
    path('sla/', views.GetSla),
    path('listusers/', views.Getusers),
    path('addusers/', views.Addusers),
    path('deluser/', views.Delusers),
    path('delsys/', views.Delsystems),
    path('roles/', views.Getroles),
    path('healthchecklist/',views.HealthcheckList),
    path('GetKpi/',views.Getkpi),
    path('Getwp/',views.Getworkprocessmonitoring),
    path('Lockusers/',views.Lockusers),
    path('Lockcustomer/',views.Lockcustomer),
    path('UnLockusers/',views.UnLockusers),
    path('UnLockcustomer/',views.UnLockcustomer),
    path('customeredit/',views.Editcustomer),
    path('sysedit/',views.sysedit),
    path('Editusers/',views.Editusers),
    path('healthcheckgraphdata/',views.healthcheckgraph),
    path('instanceadministration/',views.instanceadministration),
    path('systemadministration/',views.systemadministration),
    path('SystemAdministrationLogs/',views.SystemAdministrationLogs),
    path('InstanceAdministrationLogs/',views.InstanceAdministrationLogs),
    path('CustomerInfoById/',views.GetCustomerInfobyId),
    path('UserInfoById/',views.GetUserInfobyId),
    path('SystemDetailsValidate/',views.SystemDetailsValidate),
    path('mail/',views.ReportMail),
    path('addsystemv2/',views.sysaddv2),
    path('GetInstInfoById/',views.GetInstInfoById),
    path('smtpMail/',views.SmtpMail),
    path('healthchecksort/',views.Healthchecksort),
    path('getenqlocks/',views.Getenqlocks),
    path('GetTraceList/',views.GetTraceList),
    path('GetTraceData/',views.GetTraceData),
    path('addHealthcheckscheduling/',views.AddHealthcheckscheduling),
    path('runhealthcheckschedule/',views.Runhealthcheckschedule),
    path('runhealthcheckschedulev2/',views.Runhealthcheckschedule_v2),
    path('delhealthcheckschedule/',views.Delhealthcheckschedule),
    path('GetHealthCheckSchedules/',views.GetHealthCheckSchedules),
    path('Gethealthcheckschedulelogs/',views.Gethealthcheckschedulelogs),
    path('GetScrapMasterData/',views.GetScrapMasterData),
    # path('getScrapDetails/',views.GetScrapDetails),
    path('scrapdatasort/',views.Scrapdatasort),
    path('scrapErrordatasort/',views.ScrapErrordatasort),
    path('scrapSuccessdatasort/',views.ScrapSuccessdatasort),
    path('GetLogData/',views.GetLogData),
    path('bapiGetMaterialList/',views.bapiGetMaterialList),
    path('bapiGetMaterialDetails/',views.bapiGetMaterialDetails),
    path('createSalesOrder/',views.createSalesOrder),    
    path('demoWriteToDB/',views.demoWriteToDB),
    path('passwordReset/',views.passwordReset),
    path('passwordChange/',views.passwordChange),
    path('autoDiscovery/',views.autoDiscovery),
    path('autoDiscoveryToMonitoring/',views.autoDiscoveryToMonitoring),
    path('getautoDiscoverySystemsbySID/',views.GetautoDiscoverySystemsbySID),
    path('getTickets/',views.getTickets),
    path('getAssets/',views.getAssets),
    path('getUserDetails/',views.getUserDetails),
    path('dummyapi/',views.dummyapi),
    path('getJavaMetrics/',views.getJavaMetrics),
    path('CreateUserSAP/',views.CreateUserSAP),    
    path('DeactivateUserSAP/',views.DeactivateUserSAP),    
    path('SearchUserSAP/',views.SearchUserSAP),    
    path('ActivateUserSAP/',views.ActivateUserSAP),
    path('GetR3Translogs/',views.GetR3Translogs), 
    path('PatchDetailsPreUpgrade/',views.PatchDetails),
    path('KernelUpgardePreProcess/',views.KernelUpgardePreProcess),
    path('KernelUpgardeExecution/',views.KernelUpgardeExecution),
    path('KernelUpgardePostProcess/',views.KernelUpgardePostProcess),
    path('PatchDetailsPostUpgrade/',views.PatchDetailsPostProcessing),
    path('GetKUPreprocessingLogs/',views.GetKUPreprocessingLogs),
    path('GetKUExecutionLogs/',views.GetKUExecutionLogs),
    path('GetKUPostProcessingLogs/',views.GetKUPostProcessingLogs),
    path('AddKernelUpgradeInfo/',views.AddKernelUpgradeInfo),     
]

urlpatterns = format_suffix_patterns(urlpatterns)
